Package: org.codehaus.groovy.tools.shell

## [Groovy] Class CommandException

- org.codehaus.groovy.tools.shell.CommandException

- Thrown to indicate a problem with command execution.

  Authors:
    Jason Dillon

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CommandException (Command command, String msg)`
    `CommandException (Command command, String msg, Throwable cause)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Command` | `getCommand()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`
    `class Throwable` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandException(Command command, String msg)

    - #### CommandException(Command command, String msg, Throwable cause)

  - ### Method Detail

    - #### Command getCommand()